/*
 * ISR.c
 *
 * Created: 10.07.2012 21:12:40
 *  Author: Michael
 */ 

#include"Init.h"
#include<avr/interrupt.h>
#include"constants.h"
#include<stdint.h>
#include<avr/io.h>

extern uint8_t dcf_signal;

ISR(INT0_vect)
{
	//Flankenerkennung positiv oder negativ
	uint8_t edge, mcucr_reg;
	mcucr_reg = MCUCR;		//MCUCR speichern
	if((mcucr_reg & 0x01) == 0)
		edge = NEG;
	else
		edge = POS;
	
	//Flankenerkennung toggeln/invertieren
	mcucr_reg ^= 0x01;
	MCUCR = mcucr_reg;
	
	//speichern des ungefilterten DCF77 Signalpegels
	if(edge)
		dcf_signal = FALSE;
	else
		dcf_signal = TRUE;
	
	
	};